Name:           perl-App-CSV
Version:        0.08
Release:        4%{?dist}
Summary:        App::CSV Perl module
License:        MIT
Group:          Applications/Text
URL:            http://search.cpan.org/dist/App-CSV/
Source0:        http://www.cpan.org/authors/id/G/GA/GAAL/App-CSV-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl >= 0:5.006000
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(IO::String)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(Moose)
BuildRequires:  perl(MooseX::Getopt)
BuildRequires:  perl(Text::CSV)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)

# Required by the tests
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::TempDir)
BuildRequires:  perl(IPC::Run)
BuildRequires:  perl(Test::Pod::Coverage) >= 1.04
BuildRequires:  perl(Test::Pod) >= 1.14

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(MooseX::Getopt)

%description
App::CSV Perl module

%package -n csv
Summary: A CSV command line Tool

%description -n csv
A command-line tool to manipulate CSV (and other delimited, line-based) files.

%prep
%setup -q -n App-CSV-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes LICENSE META.json README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files -n csv
%{_bindir}/csv
%{_mandir}/man1/csv.1*

%changelog
* Sun Sep 28 2014 Fabio Alessandro Locati <fabiolocati@gmail.com> - 0.08-4
- Add MooseX::Getopt for running too as pointed out in bug 1146184

* Wed Jul 23 2014 Fabio Alessandro Locati <fabiolocati@gmail.com> - 0.08-3
- Remove useless find statement, thanks Christopher (bug 1062942)

* Wed Jul 16 2014 Fabio Alessandro Locati <fabiolocati@gmail.com> - 0.08-2
- Follow Ciesla's suggestions
- Fix spec file based on Corsepius' example

* Wed Jul 09 2014 Fabio Alessandro Locati <fabiolocati@gmail.com> - 0.08-1
- Update to upstream version

* Mon Feb 10 2014 Fabio Alessandro Locati <fabiolocati@gmail.com> - 0.07-2
- Correct the issues mentioned in review (bug 1062942)

* Mon Feb 10 2014 Fabio Alessandro Locati <fabiolocati@gmail.com> - 0.07-1
- Remove BuildRoot since there is no plan to support EPEL5
- Add doc

* Sun Feb 09 2014 Fabio Alessandro Locati <fabiolocati@gmail.com> - 0.07-1
- Initial spec
